Sympa::Spool::Incoming(3Sympa)

NAME
Sympa::Spool::Incoming - Spool for incoming messages

SYNOPSIS
  use Sympa::Spool::Incoming;
  my $spool = Sympa::Spool::Incoming->new;

  $spool->store($message);

  my ($message, $handle) = $spool->next;

DESCRIPTION
Sympa::Spool::Incoming implements the spool for incoming messages.

  Methods
See also "Public methods" in Sympa::Spool.

next ( [ no_filter => 1 ], [ no_lock => 1 ] )
    Order is controlled by modification time of file and delivery date, then, if "no_filter" is not set, messages with possibly higher priority are chosen and messages with lowest priority ("z" or "Z") are skipped.

store ( $message, [ original => $original ] )
    In most cases, queue(8) program stores messages to incoming spool. Daemon such as sympa_automatic(8) uses this method to store messages.

  Context and metadata
See also "Marshaling and unmarshaling metadata" in Sympa::Spool.

This class particularly gives following metadata:

{date}
    Unix time when the message would be delivered.

CONFIGURATION PARAMETERS
Following site configuration parameters in sympa.conf will be referred.

queue
    Directory path of incoming spool.

SEE ALSO
sympa_automatic(8), sympa_msg(8), Sympa::Message, Sympa::Spool.

HISTORY
Sympa::Spool::Incoming appeared on Sympa 6.2.5.